Bug 111511 - /usr/bin/pango-querymodules conflicts between i386 and x86_64
/usr/bin/pango-querymodules conflicts between i386 and x86_64
Product: Fedora
Classification: Fedora
Component: pango (Show other bugs)
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Owen Taylor
Depends On:
  Show dependency treegraph
Reported: 2003-12-04 14:48 EST by Justin M. Forbes
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-04-19 09:40:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Justin M. Forbes 2003-12-04 14:48:05 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:1.4)

Description of problem:
For AMD64 systems, concurrent installation of pango for i386 and
x86_64 leaves a conflict at /usr/bin/pango-querymodules.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. install pango for x86_64
2. install pango for i386 (or reverse the order)


Additional info:
Comment 1 Michael K. Johnson 2003-12-04 14:58:27 EST
As discussed, we should move the binaries, and make
/usr/bin/pango-querymodules a script that calls the right binary.
We'll also need to make sure other files don't conflict, such
as the contents of /etc/pango
Comment 2 Justin M. Forbes 2004-01-05 00:42:35 EST
Fix seems to work well for general use, but breaks Anaconda for
buildinstall.  Jeremy has created a work around for AMD64 test1 but a
more long term solution needs to be reached.
Comment 3 Jeremy Katz 2004-01-05 00:53:59 EST
To be a little bit more verbose, the problem is that since anaconda
doesn't actually install the package but instead does rpm2cpio on it,
there ends up having to be special cased fun to figure out what rpm
decided various macros were at build time.  

Unfortunately, I haven't thought of anything better yet (well, beyond
the "make it smart like ldconfig so that the 64bit one can handle both
32bit and 64bit modules and do the right thing" :-)  For FC1, what's
there will be fine, but I'd rather not carry the hack forward for all
time if we can avoid it
Comment 4 Owen Taylor 2004-04-19 09:40:26 EDT
http://bugzilla.gnome.org/show_bug.cgi?id=129540 as a sketch of the
general solution. I believe that Jeremy has hacked together something
for Anaconda, I'm going to close this one and leave further refinements
tracked upstream.

Note You need to log in before you can comment on or make changes to this bug.